Subject: Re: IPP> IPP > FAQ - How should the server behave?

From: Carl Kugler <[email-masked]>
Date: Mon, 9 Feb 1998 16:44:48 -0500

The 0x0502 status code means "The IPP object is currently unable to handle the
request due to a temporary overloading or maintenance of the IPP object. "  So,
yes, it could also mean the IPP object is down for maintenance.

 -Carl

[email-masked] on 02/09/98 12:34:38 PM
Please respond to [email-masked] @ internet
To: Carl Kugler/Boulder/IBM@ibmus
cc: [email-masked] @ internet
Subject: Re: IPP> IPP > FAQ - How should the server behave?

Carl Kugler wrote:

> I'd be happier to get server-error-service-unavailable (0x0502) with an
> estimate of the the length of the delay indicated in the message.  A client
> could then give a user the choice of canceling, retrying, or queuing locally
> and retrying after delay.  At that point the user might decide to try another
> printer, or just queue the job locally (client side) and go on.

Is the "server-error-service-unavailable" (0x0502) error code used
for any other type of error condition?

 ...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------

---

From: Jay Martin <[email-masked]>
Date: Tue, 10 Feb 1998 16:12:38 -0500

Carl (or anyone else),

Perhaps I wasn't asking the right question, or wasn't being
explicit enough, so let me re-ask the question.

Is IPP currently defined such that the "server-error-service-unavailable"
(0x0502) error code is used EXCLUSIVELY for the "server too busy
to accept your request" condition?

In particular, I am hoping this (or some other IPP error code)
can be used in an unoverloaded way to precisely mean one thing,
and not a bushel-basket of various conditions.

	...jay